% MC program to examine the break procedures
% runs regression, tests hypothesis on first parameter


nmc=10000;
nobs=480;


beta=4;                    % local value for coefficient being tested
                           % Null is that the variable coefficient =0
d=[1;4;8;16;32;64];         % local size of break
r0v=[0.25;0.5;0.75];        % position of the break

models=[kron(r0v,ones(length(d),1)) kron(ones(length(r0v),1),d)];


[nr,junk]=size(models);
sout=zeros(nr,1);
for im=1:nr;


r0=models(im,1);
delt=models(im,2);


s=926443;
    
diary mc_1.out;

mcout=zeros(nmc,1);
rng(s);    
for imc=1:nmc;
    
% data generating

bdate=floor(r0*nobs);         % break date
c=ones(nobs,1);
cb=[zeros(bdate,1); ones(nobs-bdate,1)];
u=randn(nobs,1);
x=[randn(nobs,1) ones(nobs,1)];
y=x(:,1).*(c-cb)*(beta+delt)/sqrt(nobs)+x(:,1).*cb*beta/sqrt(nobs)+u;


% inference on post break date data
[pb,cv]=pbtols(y,x,0);
mcout(imc,1)=pb>cv;


end;

s1=mean(mcout);
sout(im,1)=s1';

end;

disp('nobs nmc');
disp([nobs nmc]);
[models sout]

diary off;